Page MenuHomePhabricator

Ogg audio file on Commons not listed with correct duration metadata
Closed, ResolvedPublic

Description

This file, for example:

https://commons.wikimedia.org/wiki/File:Zeev_El%27kin_voice.oga

Results in the attached display.
(my interface language is set to Hebrew.)

Details

Related Gerrit Patches:
mediawiki/extensions/TimedMediaHandler : master[File_Ogg] calculate length for FLAC when header lists unknown

Event Timeline

Ijon created this task.Jan 26 2015, 10:35 PM
Ijon raised the priority of this task from to Needs Triage.
Ijon updated the task description. (Show Details)
Ijon added a subscriber: Ijon.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 26 2015, 10:35 PM
Aklapper renamed this task from Audio file on Commons not listed with correct duration metadata to Ogg audio file on Commons not listed with correct duration metadata.Jan 26 2015, 10:36 PM
Aklapper triaged this task as Low priority.
Aklapper set Security to None.
$:andre\> gvfs-info Zeev_El\'kin_voice.oga 
size: 2832205
attributes:
standard::content-type: audio/x-flac+ogg
standard::fast-content-type: audio/ogg
standard::size: 2832205
standard::allocated-size: 2834432
brion added a subscriber: brion.Jul 21 2015, 12:56 AM
Restricted Application added subscribers: Steinsplitter, Matanya. · View Herald TranscriptJul 21 2015, 12:56 AM
Jdforrester-WMF moved this task from Untriaged to Backlog on the Multimedia board.Sep 4 2015, 5:53 PM
Restricted Application added a project: Commons. · View Herald TranscriptJan 14 2017, 4:31 AM

For the record: reuploading doesn't work.

ffprobe version 2.8.10-0ubuntu0.16.04.1 says:

Input #0, ogg, from 'Zeev_El'kin_voice.oga':
  Duration: 00:00:34.06, start: 0.000000, bitrate: 665 kb/s
    Stream #0:0: Audio: flac, 44100 Hz, stereo, s16
    Metadata:
      COMPOSER        : sndkorr
      TITLE           : Çåýâ Ýëüêèí - 06.01.14
      ENCODER         : Lavf55.19.104

This appears to be an issue with File_Ogg. Tagging upstream... https://pear.php.net/bugs/bug.php?id=21164

brion moved this task from Backlog to Reported Upstream on the Upstream board.Jan 18 2017, 5:23 PM

Change 332799 had a related patch set uploaded (by Brion VIBBER):
[File_Ogg] calculate length for FLAC when header lists unknown

https://gerrit.wikimedia.org/r/332799

TheDJ closed this task as Resolved.Jan 23 2017, 11:55 PM
TheDJ assigned this task to brion.
TheDJ removed a project: Patch-For-Review.
TheDJ moved this task from To sort to Done on the TimedMediaHandler board.
TheDJ moved this task from Patch proposed upstream to Patch merged upstream on the Upstream board.
TheDJ removed a project: Multimedia.
Restricted Application added a project: Multimedia. · View Herald TranscriptJan 23 2017, 11:57 PM

Change 332799 merged by jenkins-bot:
[File_Ogg] calculate length for FLAC when header lists unknown

https://gerrit.wikimedia.org/r/332799